package java.sql;

import java.util.logging.Logger;
import java.util.Properties;

public interface Driver
{
    public abstract Connection connect(String p0, Properties p1) throws SQLException;
    
    public abstract boolean acceptsURL(String p0) throws SQLException;
    
    public abstract DriverPropertyInfo[] getPropertyInfo(String p0, Properties p1) throws SQLException;
    
    public abstract int getMajorVersion();
    
    public abstract int getMinorVersion();
    
    public abstract boolean jdbcCompliant();
    
    public abstract Logger getParentLogger() throws SQLFeatureNotSupportedException;
}
